<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/task/models/task';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'id',
            breadcrumbs: [
                {
                    label: this.__('Задачи'),
                    path: 'task/task',
                },
            ],
            model: model,
            http: {
                path: 'task/task/:id',
                query: {
                    'with[0]': 'agent',
                    'with[1]': 'reports.shop',
                    'with[2]': 'reports.report',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
